Skip to content

更变部门

接口信息

  • 接口: /agent-api/user/{user_id}/department/change
  • 请求方式: POST

路由参数

参数类型示例解释必填
user_idstring5433b412-07d5-44e6-9fa4-deb65e43bc93用户 id

请求参数

参数类型示例解释必填
user_idstringf850c96b-00a5-4d10-92ba-1e4eb32f852c子账号 id
department_idint100007现在所在部门 id
phoneint12345678变更到部门 id

请求示例

cURL
curl -X POST "https://api.wolfsmartcloud.com/agent-api/user/5433b412-07d5-44e6-9fa4-deb65e43bc93/department/change" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -d '{
    "user_id": "f850c96b-00a5-4d10-92ba-1e4eb32f852c",
    "department_id": 100007,
    "phone": 12345678
  }'
Go
package main

import (
    "bytes"
    "encoding/json"
    "fmt"
    "io"
    "net/http"
)

func main() {
    url := "https://api.wolfsmartcloud.com/agent-api/user/5433b412-07d5-44e6-9fa4-deb65e43bc93/department/change"
    data := map[string]interface{}{
        "user_id":       "f850c96b-00a5-4d10-92ba-1e4eb32f852c",
        "department_id": 100007,
        "phone":         12345678,
    }
    jsonData, _ := json.Marshal(data)

    req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
    req.Header.Set("Content-Type", "application/json")
    req.Header.Set("Authorization", "Bearer YOUR_TOKEN")

    client := &http.Client{}
    resp, _ := client.Do(req)
    defer resp.Body.Close()

    body, _ := io.ReadAll(resp.Body)
    fmt.Println(string(body))
}
JavaScript
const userId = "5433b412-07d5-44e6-9fa4-deb65e43bc93";
const url = `https://api.wolfsmartcloud.com/agent-api/user/${userId}/department/change`;
const data = {
  user_id: "f850c96b-00a5-4d10-92ba-1e4eb32f852c",
  department_id: 100007,
  phone: 12345678
};

fetch(url, {
  method: "POST",
  headers: {
    "Content-Type": "application/json",
    "Authorization": "Bearer YOUR_TOKEN"
  },
  body: JSON.stringify(data)
})
  .then(response => response.json())
  .then(data => console.log(data))
  .catch(error => console.error("Error:", error));
Java
import java.net.URI;
import java.net.http.*;
import java.io.IOException;

public class Main {
    public static void main(String[] args) throws IOException, InterruptedException {
        HttpClient client = HttpClient.newHttpClient();
        String body = "{\"user_id\":\"f850c96b-00a5-4d10-92ba-1e4eb32f852c\",\"department_id\":100007,\"phone\":12345678}";
        HttpRequest request = HttpRequest.newBuilder()
            .uri(URI.create("https://api.wolfsmartcloud.com/agent-api/user/5433b412-07d5-44e6-9fa4-deb65e43bc93/department/change"))
            .header("Content-Type", "application/json")
            .header("Authorization", "Bearer YOUR_TOKEN")
            .POST(HttpRequest.BodyPublishers.ofString(body))
            .build();

        HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
        System.out.println(response.body());
    }
}
PHP
<?php

$curl = curl_init();

$data = [
    "user_id" => "f850c96b-00a5-4d10-92ba-1e4eb32f852c",
    "department_id" => 100007,
    "phone" => 12345678
];

curl_setopt_array($curl, [
    CURLOPT_URL => "https://api.wolfsmartcloud.com/agent-api/user/5433b412-07d5-44e6-9fa4-deb65e43bc93/department/change",
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_POST => true,
    CURLOPT_POSTFIELDS => json_encode($data),
    CURLOPT_HTTPHEADER => [
        "Content-Type: application/json",
        "Authorization: Bearer YOUR_TOKEN"
    ],
]);

$response = curl_exec($curl);
curl_close($curl);

echo $response;
Python
import requests
import json

user_id = "5433b412-07d5-44e6-9fa4-deb65e43bc93"
url = f"https://api.wolfsmartcloud.com/agent-api/user/{user_id}/department/change"

data = {
    "user_id": "f850c96b-00a5-4d10-92ba-1e4eb32f852c",
    "department_id": 100007,
    "phone": 12345678
}

headers = {
    "Content-Type": "application/json",
    "Authorization": "Bearer YOUR_TOKEN"
}

response = requests.post(url, data=json.dumps(data), headers=headers)

print(response.json())
C++
#include <iostream>
#include <curl/curl.h>
#include <string>

size_t WriteCallback(void* contents, size_t size, size_t nmemb, void* userp) {
    ((std::string*)userp)->append((char*)contents, size * nmemb);
    return size * nmemb;
}

int main() {
    CURL* curl;
    CURLcode res;
    std::string readBuffer;

    curl = curl_easy_init();
    if(curl) {
        struct curl_slist* headers = NULL;
        headers = curl_slist_append(headers, "Content-Type: application/json");
        headers = curl_slist_append(headers, "Authorization: Bearer YOUR_TOKEN");

        const char* data = "{\"user_id\":\"f850c96b-00a5-4d10-92ba-1e4eb32f852c\",\"department_id\":100007,\"phone\":12345678}";

        curl_easy_setopt(curl, CURLOPT_URL, "https://api.wolfsmartcloud.com/agent-api/user/5433b412-07d5-44e6-9fa4-deb65e43bc93/department/change");
        curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
        curl_easy_setopt(curl, CURLOPT_POSTFIELDS, data);
        curl_easy_setopt(curl, CURLOPT_WRITEFUNCTION, WriteCallback);
        curl_easy_setopt(curl, CURLOPT_WRITEDATA, &readBuffer);

        res = curl_easy_perform(curl);
        if(res != CURLE_OK)
            fprintf(stderr, "curl_easy_perform() failed: %s\n", curl_easy_strerror(res));
        else
            std::cout << readBuffer << std::endl;

        curl_easy_cleanup(curl);
    }
    return 0;
}

返回示例

json
{
    "code": 200,
    "status": "success",
    "message": "修改部门列表成功",
    "data": {
        "update": 1
    }
}

基于 MIT 许可发布